Skip Menu |
 

This queue is for tickets about the WWW-Scripter CPAN distribution.

Report information
The Basics
Id: 69373
Status: resolved
Priority: 0/
Queue: WWW-Scripter

People
Owner: Nobody in particular
Requestors: gilles.quenot [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in:
  • 0.020
  • 0.022
Fixed in: (no value)



Download (untitled) / with headers
text/plain 6.5k
Hi, WWW::Scripter refuse to compile both with CPAN or AUR (archlinux PKGBUILDS): (required modules are still installed): # for i in HTML::DOM WWW::Mechanize URI; do perl -M$i -e1; done # # cpan -i WWW::Scripter Going to read '/root/.cpan/Metadata' Database was generated on Fri, 08 Jul 2011 17:29:43 GMT Running install for module 'WWW::Scripter' Running make for S/SP/SPROUT/WWW-Scripter-0.022.tar.gz Checksum for /root/.cpan/sources/authors/id/S/SP/SPROUT/WWW-Scripter-0.022.tar.gz ok CPAN.pm: Going to build S/SP/SPROUT/WWW-Scripter-0.022.tar.gz Checking if your kit is complete... Looks good Writing Makefile for WWW::Scripter Writing MYMETA.yml cp lib/WWW/Scripter.pm blib/lib/WWW/Scripter.pm cp lib/WWW/Scripter.pod blib/lib/WWW/Scripter.pod cp lib/WWW/Scripter/WindowGroup.pm blib/lib/WWW/Scripter/WindowGroup.pm cp lib/WWW/Scripter/_Mechanize.pm blib/lib/WWW/Scripter/_Mechanize.pm cp lib/WWW/Scripter/Location.pod blib/lib/WWW/Scripter/Location.pod cp lib/WWW/Scripter/_Mechanize/Image.pm blib/lib/WWW/Scripter/_Mechanize/Image.pm cp lib/WWW/Scripter/_Mechanize/Link.pm blib/lib/WWW/Scripter/_Mechanize/Link.pm cp lib/WWW/Scripter/History.pod blib/lib/WWW/Scripter/History.pod Manifying blib/man3/WWW::Scripter::Location.3pm Manifying blib/man3/WWW::Scripter::WindowGroup.3pm Manifying blib/man3/WWW::Scripter.3pm Manifying blib/man3/WWW::Scripter::History.3pm SPROUT/WWW-Scripter-0.022.tar.gz /usr/bin/make -- OK Running make test PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/base.t ............ ok t/class-info.t ...... ok t/clear_history.t ... ok t/credentials.t ..... ok t/dom.t ............. ok t/dustbin-man.t ..... ok t/events.t .......... ok t/fragments.t ....... ok t/frames.t .......... ok t/handlers.t ........ ok t/history.t ......... ok t/images.t .......... ok t/links.t ........... ok t/location.t ........ ok t/navigator.t ....... ok t/plugin-cloning.t .. ok t/plugins.t ......... ok t/scripts.t ......... 1/10 # Failed test 'gzipped scripts' # at t/scripts.t line 102. # got: undef # expected: 'hello' # Looks like you failed 1 test of 10. t/scripts.t ......... Dubious, test returned 1 (wstat 256, 0x100) Failed 1/10 subtests t/scroll.t .......... ok t/status.t .......... ok t/submit.t .......... ok t/target.t .......... ok t/tied-_.t .......... ok t/timers.t .......... # This script (timers.t) pauses a few times. t/timers.t .......... ok t/title.t ........... ok t/windows.t ......... ok Test Summary Report ------------------- t/scripts.t (Wstat: 256 Tests: 10 Failed: 1) Failed test: 5 Non-zero exit status: 1 Files=26, Tests=380, 17 wallclock secs ( 0.10 usr 0.03 sys + 4.53 cusr 0.69 csys = 5.35 CPU) Result: FAIL Failed 1/26 test programs. 1/380 subtests failed. make: *** [test_dynamic] Erreur 255 SPROUT/WWW-Scripter-0.022.tar.gz /usr/bin/make test -- NOT OK //hint// to see the cpan-testers results for installing this module, try: reports SPROUT/WWW-Scripter-0.022.tar.gz Running make install make test had returned bad status, won't install without force This is perl -V : $ perl -V Summary of my perl5 (revision 5 version 14 subversion 1) configuration: Platform: osname=linux, osvers=2.6.39-arch, archname=x86_64-linux-thread-multi uname='linux milano 2.6.39-arch #1 smp preempt mon jun 6 22:37:55 cest 2011 x86_64 intel(r) core(tm)2 duo cpu t7700 @ 2.40ghz genuineintel gnulinux ' config_args='-des -Dusethreads -Duseshrplib -Doptimize=-march=x86-64 -mtune=generic -O2 -pipe -Dprefix=/usr -Dinstallprefix=/usr -Dvendorprefix=/usr -Dprivlib=/usr/share/perl5/core_perl -Darchlib=/usr/lib/perl5/core_perl -Dsitelib=/usr/share/perl5/site_perl -Dsitearch=/usr/lib/perl5/site_perl -Dvendorlib=/usr/share/perl5/vendor_perl -Dvendorarch=/usr/lib/perl5/vendor_perl -Dscriptdir=/usr/bin/core_perl -Dsitescript=/usr/bin/site_perl -Dvendorscript=/usr/bin/vendor_perl -Dinc_version_list=none -Dman1ext=1perl -Dman3ext=3perl -Dcccdlflags='-fPIC' -Dlddlflags=-shared -Wl,--hash-style=gnu -Wl,--as-needed -Dldflags=-Wl,--hash-style=gnu -Wl,--as-needed' hint=recommended, useposix=true, d_sigaction=define useithreads=define, usemultiplicity=define useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef use64bitint=define, use64bitall=define, uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64', optimize='-march=x86-64 -mtune=generic -O2 -pipe', cppflags='-D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include' ccversion='', gccversion='4.6.0 20110603 (prerelease)', gccosandvers='' intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16 ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8 alignbytes=8, prototype=define Linker and Libraries: ld='cc', ldflags ='-Wl,--hash-style=gnu -Wl,--as-needed -fstack-protector -L/usr/local/lib' libpth=/usr/local/lib /lib/../lib /usr/lib/../lib /lib /usr/lib libs=-lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lpthread -lc -lgdbm_compat perllibs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc libc=/lib/libc-2.13.so, so=so, useshrplib=true, libperl=libperl.so gnulibc_version='2.13' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E -Wl,-rpath,/usr/lib/perl5/core_perl/CORE' cccdlflags='-fPIC', lddlflags='-shared -Wl,--hash-style=gnu -Wl,--as-needed -L/usr/local/lib -fstack-protector' Characteristics of this binary (from libperl): Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP PERL_PRESERVE_IVUV USE_64_BIT_ALL USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES USE_PERLIO USE_PERL_ATOF USE_REENTRANT_API Built under linux Compiled at Jun 23 2011 21:05:46 @INC: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl . # uname -a Linux FreAkyLab 2.6.38-ARCH #1 SMP PREEMPT Fri Apr 22 20:29:33 CEST 2011 x86_64 Intel(R) Core(TM)2 Quad CPU Q9650 @ 3.00GHz GenuineIntel GNU/Linux Regards, Gilles Quenot aka sputnick
Download (untitled) / with headers
text/plain 771b
On Fri Jul 08 18:42:03 2011, gilles.quenot@gmail.com wrote: Show quoted text
> Hi, > > WWW::Scripter refuse to compile both with CPAN or AUR (archlinux > PKGBUILDS): > (required modules are still installed): > # for i in HTML::DOM WWW::Mechanize URI; do perl -M$i -e1; done > # > # cpan -i WWW::Scripter
... Show quoted text
> t/scripts.t ......... 1/10 > # Failed test 'gzipped scripts' > # at t/scripts.t line 102. > # got: undef > # expected: 'hello' > # Looks like you failed 1 test of 10. > t/scripts.t ......... Dubious, test returned 1 (wstat 256, 0x100) > Failed 1/10 subtests
What version of LWP::UserAgent do you have installed? Does upgrading to the latest solve the problem? If not, do you have IO::Uncompress::Gunzip installed? Does installing that solve the problem?
From: gilles.quenot [...] gmail.com
Download (untitled) / with headers
text/plain 810b
Show quoted text
> What version of LWP::UserAgent do you have installed?
latest Show quoted text
> Does upgrading to the latest solve the problem?
no Show quoted text
> If not, do you have IO::Uncompress::Gunzip installed? Does installing > that solve the problem?
# perl -MIO::Uncompress::Gunzip -e1 Compress::Raw::Zlib version 2.033 required--this is only version 2.03 at /usr/share/perl5/core_perl/IO/Uncompress/RawInflate.pm line 8. BEGIN failed--compilation aborted at /usr/share/perl5/core_perl/IO/Uncompress/RawInflate.pm line 8. Compilation failed in require at /usr/share/perl5/core_perl/IO/Uncompress/Gunzip.pm line 12. BEGIN failed--compilation aborted at /usr/share/perl5/core_perl/IO/Uncompress/Gunzip.pm line 12. Compilation failed in require. BEGIN failed--compilation aborted. If I re-install it with CPAN, now cpan -i WWW::Scripter works.
On Sun Jul 10 15:29:08 2011, gilles.quenot@gmail.com wrote: Show quoted text
> > What version of LWP::UserAgent do you have installed?
> latest >
> > Does upgrading to the latest solve the problem?
> no >
> > If not, do you have IO::Uncompress::Gunzip installed? Does installing > > that solve the problem?
> > > # perl -MIO::Uncompress::Gunzip -e1 > Compress::Raw::Zlib version 2.033 required--this is only version 2.03 at > /usr/share/perl5/core_perl/IO/Uncompress/RawInflate.pm line 8. > BEGIN failed--compilation aborted at > /usr/share/perl5/core_perl/IO/Uncompress/RawInflate.pm line 8. > Compilation failed in require at > /usr/share/perl5/core_perl/IO/Uncompress/Gunzip.pm line 12. > BEGIN failed--compilation aborted at > /usr/share/perl5/core_perl/IO/Uncompress/Gunzip.pm line 12. > Compilation failed in require. > BEGIN failed--compilation aborted. > > If I re-install it with CPAN, now cpan -i WWW::Scripter works.
Oh good! I think something was wrong with your IO::Uncompress::Gunzip installation, but it’s good that it all works now.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.